Package org.apache.solr.cluster.api

## Interface SolrNode

    @Deprecated
    public interface SolrNode

Deprecated.
A read only view of a Solr node

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `baseUrl​(ApiType type)` Deprecated. Base http url for this node
`SimpleMap<ShardReplica>` `cores()` Deprecated. Get all the cores in a given node.
`String` `name()` Deprecated. The node name

### Method Detail

#### name

    String name()

Deprecated.
The node name

#### baseUrl

    String baseUrl​(ApiType type)

Deprecated.
Base http url for this node

#### cores

    SimpleMap<ShardReplica> cores()

Deprecated.
Get all the cores in a given node. This usually involves a network call. So, it's likely to be expensive